Package org.apache.ignite.internal.visor

## Class VisorOneNodeTask<A,​R>

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,​R,​R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<A,​R>

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<A>,​VisorTaskResult<R>>`

Direct Known Subclasses:
  `BaselineTask`, `CacheConfigurationCollectorTask`, `CacheCreateTask`, `CacheMetricsTask`, `CacheResetLostPartitionsTask`, `CacheScanTask`, `CacheStopTask`, `CancelServiceTask`, `ChangeCacheGroupKeyTask`, `ChangeMasterKeyTask`, `ClearCachesTask`, `ClusterChangeTagTask`, `ComputeCancelSessionTask`, `ConsistencyCountersFinalizationTask`, `ContinuousQueryCancelTask`, `GetMasterKeyNameTask`, `IdleVerifyDumpTask`, `IdleVerifyTaskV2`, `IndexListTask`, `MetricTask`, `PerformanceStatisticsTask`, `PersistenceTask`, `QueryCancelOnInitiatorTask`, `ScanQueryCancelTask`, `ShutdownPolicyTask`, `SnapshotCancelTask`, `SnapshotCheckTask`, `SnapshotCreateTask`, `SnapshotRestoreTask`, `TracingConfigurationTask`, `ViewCacheTask`, `VisorBaselineViewTask`, `VisorComputeCancelSessionsTask`, `VisorIdAndTagViewTask`

    public abstract class VisorOneNodeTask<A,​R>
    extends VisorMultiNodeTask<A,​R,​R>

Base class for Visor tasks intended to query data from a single node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`VisorOneNodeTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected R` `reduce0​(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`job, jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorOneNodeTask

    public VisorOneNodeTask()

### Method Detail

#### reduce0

    @Nullable
    protected R reduce0​(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<A,​R,​R>`
Parameters:
  `results` - Job results.
Returns:
  Task result.